package com.ejie.ab78.model.terceros;

import java.util.Date;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

public class RelDenunciaTercero implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idRelRecTer;
	private Integer idReclamacion;
	private DatosTerceros datosTerceros;
	private Long idTipoTercero;
	private Integer idSubtipo;
	private Integer baja;
	private Date fechaBaja;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;
	private DatosDirecciones datosDirecciones;
	private String participantId;

	public RelDenunciaTercero() {

	}

	public RelDenunciaTercero(Integer idRelRecTer, Integer idReclamacion, DatosTerceros datosTerceros,
			Long idTipoTercero, Integer baja, Date fechaBaja, Date fechaRegistro, String usuarioRegistro,
			Date fechaUltmodificacion, String usuarioUltmodificacion) {
		super();
		this.idRelRecTer = idRelRecTer;
		this.idReclamacion = idReclamacion;
		this.datosTerceros = datosTerceros;
		this.idTipoTercero = idTipoTercero;
		this.baja = baja;
		this.fechaBaja = fechaBaja;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	public Integer getIdRelRecTer() {
		return idRelRecTer;
	}

	public void setIdRelRecTer(Integer idRelRecTer) {
		this.idRelRecTer = idRelRecTer;
	}

	public Integer getIdReclamacion() {
		return idReclamacion;
	}

	public void setIdReclamacion(Integer idReclamacion) {
		this.idReclamacion = idReclamacion;
	}

	public DatosTerceros getDatosTerceros() {
		return datosTerceros;
	}

	public void setDatosTerceros(DatosTerceros datosTerceros) {
		this.datosTerceros = datosTerceros;
	}

	public Long getIdTipoTercero() {
		return idTipoTercero;
	}

	public void setIdTipoTercero(Long idTipoTercero) {
		this.idTipoTercero = idTipoTercero;
	}

	public Integer getBaja() {
		return baja;
	}

	public void setBaja(Integer baja) {
		this.baja = baja;
	}

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaBaja() {
		return fechaBaja;
	}

	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaBaja(Date fechaBaja) {
		this.fechaBaja = fechaBaja;
	}

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return fechaRegistro;
	}

	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	public String getUsuarioRegistro() {
		return usuarioRegistro;
	}

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return fechaUltmodificacion;
	}

	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	public String getUsuarioUltmodificacion() {
		return usuarioUltmodificacion;
	}

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	public DatosDirecciones getDatosDirecciones() {
		return datosDirecciones;
	}

	public void setDatosDirecciones(DatosDirecciones datosDirecciones) {
		this.datosDirecciones = datosDirecciones;
	}

	public String getParticipantId() {
		return participantId;
	}

	public void setParticipantId(String participantId) {
		this.participantId = participantId;
	}

	@Override
	public String toString() {
		return "RelDenunciaTercero [idRelRecTer=" + idRelRecTer + ", idReclamacion=" + idReclamacion
				+ ", datosTerceros=" + datosTerceros + ", idTipoTercero=" + idTipoTercero + ", baja=" + baja
				+ ", fechaBaja=" + fechaBaja + ", fechaRegistro=" + fechaRegistro + ", usuarioRegistro="
				+ usuarioRegistro + ", fechaUltmodificacion=" + fechaUltmodificacion + ", usuarioUltmodificacion="
				+ usuarioUltmodificacion + "]";
	}

	public Integer getIdSubtipo() {
		return idSubtipo;
	}

	public void setIdSubtipo(Integer idSubtipo) {
		this.idSubtipo = idSubtipo;
	}

}
